# $Revision: 1.15 $, $Date: 2011/05/17 09:48:43 $
Summary:	Instrumentation System
Summary(pl.UTF-8):	System oprzyrządowania
Name:		systemtap
Version:	1.4
Release:	1
License:	GPL v2+
Group:		Base
Source0:	http://sources.redhat.com/systemtap/ftp/releases/%{name}-%{version}.tar.gz
# Source0-md5:	c5c9c2087c2aa0459b90e690a5ca95d0
Patch0:		%{name}-configure.patch
URL:		http://sourceware.org/systemtap/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	elfutils-devel
BuildRequires:	glib2-devel
BuildRequires:	mysql-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
SystemTap is an instrumentation system for systems running Linux 2.6.
Developers can write instrumentation to collect data on the operation
of the system.

%description -l pl.UTF-8
SystemTap to system oprzyrządowania dla systemów opartych na Linuksie
2.6. Programiści mogą pisać narzędzia do zbierania danych dotyczących
operacji w systemie.

%prep
%setup -q
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/var/cache/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS HACKING NEWS README*
%doc %{_docdir}
%attr(755,root,root) %{_bindir}/stap
%attr(755,root,root) %{_bindir}/stap-merge
%attr(755,root,root) %{_bindir}/stap-report
%attr(755,root,root) %{_bindir}/stapgraph
%attr(755,root,root) %{_bindir}/staprun
%attr(755,root,root) %{_bindir}/dtrace
%{_datadir}/%{name}
%{_libexecdir}/%{name}
%dir /var/cache/%{name}
%{_mandir}/man1/*.1*
%{_mandir}/man3/*.3*
%{_mandir}/man7/*.7*
%{_mandir}/man8/*.8*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: systemtap.spec,v $
Revision 1.15  2011/05/17 09:48:43  lisu
- release 1

Revision 1.14  2011/05/17 09:32:10  lisu
- more verbose files
- packaged stapgraph binary
- proper %%doc

Revision 1.13  2011/05/17 09:20:55  lisu
- fixed build and linking (patch)
- dropped redundant Rs
- run autotools

Revision 1.12  2011/05/17 08:02:37  lisu
- updated to 1.4

Revision 1.11  2011/02/06 17:13:41  sparky
- added missing %clean section

Revision 1.10  2009/07/15 09:49:21  matik
- up to 0.9.8
- removed (unnecessary?) as-needed patch
- to be useful requires kernel debug symbols at run-time
- it also requires some files (at least include/config/auto.conf) which are
  nowhere to be found in stock kernel packages
- rel 0.1

Revision 1.9  2007/11/18 13:51:38  arekm
- disable Werror; rel .3

Revision 1.8  2007-11-18 13:30:57  arekm
- rel .2

Revision 1.7  2007-05-19 17:25:21  qboosh
- BR: ac,am,lt

Revision 1.6  2007/05/19 17:16:10  sparky
- added as-needed patch
- explicit executables listing, so one will notice when some vanishes

Revision 1.5  2007/02/13 08:06:44  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.3  2006/11/28 23:17:00  qboosh
- pl

Revision 1.2  2006/11/16 12:34:07  arekm
- proper version

Revision 1.1  2006/11/16 12:25:53  arekm
- new
